Repository issue with 0.93 (ratpack core jar)

classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|

Repository issue with 0.93 (ratpack core jar)

bhuddleston42
Am I the only person seeing this?  I saw it originally trying to upgrade an existing project, but I was able to reproduce it with a virgin lazybones directory structure:

brianhuddleston:~/repositories/exemplar-ratpack$ gradle run
Download http://jcenter.bintray.com/io/ratpack/ratpack-gradle/0.9.3/ratpack-gradle-0.9.3.jar
The groovy configuration has been deprecated and is scheduled to be removed in Gradle 2.0. Typically, usages of 'groovy' can simply be replaced with 'compile'. In some cases, it may be necessary to additionally configure the 'groovyClasspath' property of GroovyCompile and Groovydoc tasks.
:compileJava UP-TO-DATE
:compileGroovy UP-TO-DATE
:processResources UP-TO-DATE
:classes UP-TO-DATE
:configureRun
Download http://repo.springsource.org/repo/org/springsource/loaded/springloaded/1.1.5.RELEASE/springloaded-1.1.5.RELEASE.pom
Download http://repo.springsource.org/repo/org/springsource/loaded/springloaded/1.1.5.RELEASE/springloaded-1.1.5.RELEASE.jar
:prepareBaseDir UP-TO-DATE
:run
Download http://jcenter.bintray.com/io/ratpack/ratpack-core/0.9.3/ratpack-core-0.9.3.pom
Download http://jcenter.bintray.com/io/ratpack/ratpack-groovy/0.9.3/ratpack-groovy-0.9.3.pom
Download http://jcenter.bintray.com/io/ratpack/ratpack-guice/0.9.3/ratpack-guice-0.9.3.pom
:run FAILED

FAILURE: Build failed with an exception.

* What went wrong:
Execution failed for task ':run'.
> Could not resolve all dependencies for configuration ':runtime'.
   > Could not download artifact 'io.ratpack:ratpack-core:[email protected]'
      > Could not GET 'http://jcenter.bintray.com/io/ratpack/ratpack-core/0.9.3/ratpack-core-0.9.3.jar'. Received status code 403 from server: Forbidden

* Try:
Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output.

BUILD FAILED

Total time: 2 mins 23.218 secs
rus
Reply | Threaded
Open this post in threaded view
|

Re: Repository issue with 0.93 (ratpack core jar)

rus
I don't seem to get this issue.  The problem is in trying to download the 0.9.3 jar from Bintray.  Are you behind a proxy maybe that's blocking this?
Reply | Threaded
Open this post in threaded view
|

Re: Repository issue with 0.93 (ratpack core jar)

Luke Daley
Administrator
It's likely that this was a temporary blip during a Bintray upgrade.
Reply | Threaded
Open this post in threaded view
|

Re: Repository issue with 0.93 (ratpack core jar)

bhuddleston42
Luke Daley wrote
It's likely that this was a temporary blip during a Bintray upgrade.
Gotcha.  It was reproducible for me.  On a hunch I nuked my .gradle directory and now I am fine.  I think I may have gotten a jar with the equivalent of a bad POM or something.  (Unclear now since I unfortunately nuked the evidence since I didn't really expect it to work.)

Sorry for the false alarm.  Thanks for the help.

-Brian